Subject: Re: bug#43464: 28.0.50; vc: Error calling vc-revert for repo root

From: Dmitry Gutov <[email-masked]>
Date: Fri, 18 Sep 2020 16:30:05 +0300

On 18.09.2020 12:30, Andrii Kolomoiets wrote:
> Calling `vc-git-revert` or `vc-hg-revert` directly with repo root or any
> directory within repo works fine.

True. That's how Git and Hg work anyway.

I'm not saying the current situation is ideal, but we'd either have to 
give up any attempt to revert a directory (with a more appropriate 
message), or somehow differentiate between different backends where it 
would or wouldn't work.